Subject: bug#59579: installing zbar prevents gdm to start on Ubuntu 22.04 foreign distro

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 22 May 2024 12:14:46 -0400

Hi Simon,

Simon Tournier <[email-masked]> writes:

> Hi Maxim,
>
> On ven., 17 mai 2024 at 23:10, Maxim Cournoyer <[email-masked]> wrote:
>
>> Just to be sure, do you have default XDG_* environment variables as
>> configured by guix-install.sh:
>
> Hum, no I did not have all these default.  It had been introduced after
> my install of Guix, I guess. :-)
>
>> --8<---------------cut here---------------start------------->8---
>> export XCURSOR_PATH="${XCURSOR_PATH:-/usr/local/share/icons:/usr/share/icons}"
>> export XDG_DATA_HOME="${XDG_DATA_HOME:-$HOME/.local/share}"
>> export XDG_CONFIG_HOME="${XDG_CONFIG_HOME:-$HOME/.config}"
>> export XDG_STATE_HOME="${XDG_STATE_HOME:-$HOME/.local/state}"
>> export XDG_DATA_DIRS="${XDG_DATA_DIRS:-/usr/local/share/:/usr/share/}"
>> export XDG_CONFIG_DIRS="${XDG_CONFIG_DIRS:-/etc/xdg}"
>> export XDG_CACHE_HOME="${XDG_CACHE_HOME:-$HOME/.cache}",
>> --8<---------------cut here---------------end--------------->8---
>>
>> I think their absence used to cause this sort of behavior, since Guix
>> setting it to something would wholly override the distribution-provided
>> files.
>
> Maybe we could add a short paragraph/section about that XDG_* variables
> under (guix) Application Setup [1].  Although etc/guix-install.sh
> already does the correct thing, it could be helpful if people tweak
> stuff, I mean, always good to shortly document typical annoyances. :-)
>
> 1: https://guix.gnu.org/manual/devel/en/guix.html#Application-Setup

That'd be a welcome improvement!  It'd be nice before if you could
confirm/infirm whether this was truly the issue, if you still have
access to the VM.

-- 
Thanks,
Maxim